[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.NotifyCustomForms

Performs the specified message for all custom forms in the application.

## Declaration

Source position: forms.pp line 1577

`protected procedure TApplication.NotifyCustomForms(`
`Msg: Word`
`);`

## Arguments

`Msg` |  | The message sent to the forms.

## Description

Calls the Perform method for custom forms in the application using Msg as an argument.

NotifyCustomForms is called when theme options for button or menu glyphs are changed to sbgSystem in the application instance.

## See also

TScreen.CustomForms |  | Provides indexed access to the TCustomForm instances on the screen.
Screen |  | The TScreen singleton for the application.
TApplication.IntfThemeOptionChange |  | Called by the interface when a theme option has changed.
TControl.Perform |  | Calls a message handler directly, bypassing the message queue.